#ifndef THINNING_FILTER_H__
#define THINNING_FILTER_H__
#include "out_shppolylines.h"

/*  The following filtersettings members should be properly configured

	width, height, 
	stridein, strideout, 
	datain,   dataout, 
	channelcountin = 1, channelcountout = 1,
	pixelsizein = 1,    pixelsizeout = 1,
	mask = 0
	nCoreEnabled = 0 / 1,
	processing_ptr, processing_size should be real int pointers, NOT null or undefined
	nCoreKillSignal should be real int pointer, value = 0
	filtering_iterations_limit = 0 or greater
*/

bool ExecuteThinningRegular(filtersettings* filset);
bool ThinningRegular(filtersettings* f, int sx, int sy, int sw, int sh, Semaphore^ updater);

#endif

