// out_shppoints.h

#pragma once

#include "..\..\common\fast_bit_operation_macros.h"
#include "..\..\common\util_defs.h"
#include "..\..\common\util_xml.h"
#include "ImageFilterSettings.h" // DUMMY FILE TO USE nCoreAPI.h FEATURES
#include "..\..\common\nCoreAPI.h"
#include "thinning_regular.h"
#include "thinning_morph.h"
#include "poi_processing.h"
using namespace System;

namespace ImageSaver {

	public ref class ImageSaver
	{
	private:
		static bool    DumpErrorMessage(String^ msg, xml_node^ xn);
	public:
		// TODO: Add your methods for this class here.
		static bool    Save_Image(String^ filename, IntPtr ptr, IntPtr size, IntPtr xml);
		static String^ GetExportModuleName();
		static String^ GetExportFormatType(){ return "RASTER"; }
		static int     GetAPIVersion();
	};
}
